Name:           faugus-launcher
Version:        1.7.9
Release:        1%{?dist}
Summary:        A simple and lightweight app for running Windows games using UMU-Launcher

License:        MIT
URL:            https://github.com/Faugus/faugus-launcher
Source0:        https://github.com/Faugus/faugus-launcher/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://github.com/Faugus/components/releases/download/v1.0.0/umu-run

BuildArch:      noarch
BuildRequires:  meson gtk-update-icon-cache
Requires:       python3 python3-gobject python3-requests python3-icoextract python3-pillow python3-filelock python3-vdf python3-psutil ImageMagick libayatana-appindicator-gtk3

%description
A simple and lightweight app for running Windows games using UMU-Launcher/UMU-Proton.

%prep
%autosetup -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

install -Dm755 %{SOURCE1} %{buildroot}%{_bindir}/umu-run

%files
%license LICENSE
%{_bindir}/faugus-launcher
%{_bindir}/faugus-run
%{_bindir}/faugus-proton-manager
%{_bindir}/faugus-components
%{_bindir}/faugus-proton-downloader
%{_bindir}/umu-run
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/256x256/apps/*.png
%{_datadir}/icons/hicolor/256x256/apps/faugus-mono.svg
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/faugus-launcher/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Fri Jul 11 2025 Faugus - 1.7.9-1
- Release 1.7.9.
- Added umu-run installation similar to Flatpak build.
